Bug 1305164 - update_all_systems using incremental update api fails
update_all_systems using incremental update api fails
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 16:35 EST by sthirugn@redhat.com
Modified: 2017-08-11 08:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-11 08:32:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sthirugn@redhat.com 2016-02-05 16:35:27 EST
Description of problem:
update_all_systems using incremental update api fails

Version-Release number of selected component (if applicable):
Sat 6.1.6

How reproducible:
Always

Steps to Reproduce:
# curl -k -H "Content-Type: application/json" -X POST -d  '{"add_content":{"errata_ids":["6d606f2b-ffae-4916-b06b-17a24a2d7a68"]},"content_view_version_environments":[{"environment_ids":["2"],"content_view_version_id":36}],"update_systems":{"update_all_systems":"true"}}' -u 'admin:secret' https://sat6host/katello/api/content_view_versions/incremental_update
{"displayMessage":"No systems have been specified.","errors":["No systems have been specified."]} 

Actual results:
Error message as shown above

Expected results:
All systems must be updated after incremental update

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:05:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-08-11 08:32:03 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.